Subject: Bug#1100748: Acknowledgement (segfault when using get_text() on arm64)

From: Daniel Echeverri <[email-masked]>
Date: Mon, 21 Apr 2025 13:52:37 -0500

Hello Josch!

El lun, 21 abr 2025 a la(s) 12:15 p.m., Johannes Schauer Marin Rodrigues (
[email-masked]) escribió:

> Control: reassign -1 mupdf 1.25.1+ds1-5
> Control: tag -1 + patch
>
> Hello mupdf and pymupdf maintainers,
>
> my package plakativ is not in testing because of an RC bug in pymupdf.
> It turns out that to fix #1100748, src:mupdf has to be changed like
> this:
>
> --- a/debian/rules
> +++ b/debian/rules
> @@ -36,7 +36,7 @@ else
>       CFLAGS += -O2
>   endif
>
> -BUILD_FLAGS = build=debug shared=yes OS=Linux XCFLAGS="$(CFLAGS)"
> XLDFLAGS="$(LDFLAGS)"
> +BUILD_FLAGS = build=debug shared=yes OS=Linux XCFLAGS="$(CFLAGS)"
> XLDFLAGS="$(LDFLAGS)" XCXXFLAGS="-DNDEBUG"
>   BUILD_FLAGS += LINUX_OR_OPENBSD=yes
>   # Force using system library
>   BUILD_FLAGS += USE_SYSTEM_MUJS=yes
>
> For details, please see the comments of Julian Smith:
> https://github.com/pymupdf/PyMuPDF/issues/4390
>
> mupdf maintainers: could you take care of uploading a new version of
> src:mupdf with above change? If you don't have time, I can offer to NMU
> src:mupdf for you.
>
> As far as my testing goes, pymupdf seems to work fine even without being
> rebuilt. I wonder if we should schedule a binNMU after the src:mupdf
> fix. Bastian, what do you think?
>
> I brought up this topic in #debian-release today and Sebastian Ramacher
> said that since pymupdf is in Bookworm, this would be eligible for an
> exception. Bastian, do you want to file the pre-approval bug or would
> you like me to take care of it?
>
> Thanks!
>
> cheers, josch
>
> P.S.: currently on vacation and hence sending without PGP signature,
> sorry
>

Thanks for your report and the patch!  I will work on it tonight.

Regards!

-- 
Daniel Echeverri
Debian Developer
Linux user: #477840
GPG Fingerprint:
D0D0 85B1 69C3 BFD9 4048 58FA 21FC 2950 4B52 30DB